package com.njcn.harmonic.mapper;

import com.njcn.harmonic.pojo.vo.SteadyExceedRateVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @version 1.0.0
 * @author: chenchao
 * @date: 2022/04/15 11:23
 */
public interface SteadyExceedRateMapper {

    /**
     * 获取稳态监测点各指标相关信息
     */
    List<SteadyExceedRateVO> getSteadyExceedRateData(@Param("list") List<String> lineIndexes);

    List<SteadyExceedRateVO> getLineInfoByList(@Param("list") List<String> collect);

    List<SteadyExceedRateVO> getSubstationList(@Param("list") List<String> ids);

}
